<script lang="ts" setup>
import type { Station } from '~/entities';

defineProps<{
  station:Station;
}>()
</script>

<template>
  <div>
    <h3>{{ station.name }}</h3>
    <p>position: {{ station.latitude }},{{ station.longitude }}</p>
    <p :class="{error: !station.availables}">Bikes {{ station.availables }}/{{ station.slots }}</p>
    <NuxtLink :to="'/station/'+station.id">See Station</NuxtLink>
  </div>
</template>

<style scoped>
.error {
  color: red;
}
</style>
